﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadSheduler.aspx.cs" Inherits="RadSheduler" %>
<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
	<head runat="server">
		<title></title>
		<style type="text/css">
			.RadPanePos
			{
				position: relative;
			}
			.RadColorPicker .rcpIcon
			{
				position: static !important;
			}
			.dummyPane
			{
				overflow: visible;
			}
		</style>
	</head>
	<body>
		<form id="form1" runat="server">
			<telerik:RadScriptManager runat="Server" ID="RadScriptManager1" />

			<script type="text/javascript">
				function showColorPicker(sender, args)
				{
					var dummyPane = $get("<%= dummyPane.ClientID %>").firstChild;
					var pickerWindow = sender.getPaletteContainer();
					dummyPane.appendChild(pickerWindow);
				}
				/* Firefox resize scrollable content */
				function hideScrollableArea(sender, eventArgs)
				{
					if ($telerik.isFirefox)
						$telerik.$('.rsContentScrollArea').css('overflow', 'hidden');
				}
				function showScrollableArea(sender, eventArgs)
				{
					if ($telerik.isFirefox)
						$telerik.$('.rsContentScrollArea').css('overflow', 'auto');
				}

				$telerik.$(document).ready(function()
				{
					var dummyPane = $telerik.$("#<%= dummyPane.ClientID %>");
					dummyPane.css({borderWidth: 0, position: "relative", zIndex: 1000});
					var dummyChild = dummyPane.children().first();
					dummyChild.css({overflow: "visible", height: 0, position: "relative", zIndex: 1000});
				});
	        
			</script>

			<telerik:RadAjaxManager runat="Server" ID="RadAjaxManager1">
				<AjaxSettings>
					<telerik:AjaxSetting AjaxControlID="RadCalendar1">
						<UpdatedControls>
							<telerik:AjaxUpdatedControl ControlID="RadCalendar2" />
							<telerik:AjaxUpdatedControl ControlID="RadScheduler1" LoadingPanelID="RadAjaxLoadingPanel1" />
						</UpdatedControls>
					</telerik:AjaxSetting>
					<telerik:AjaxSetting AjaxControlID="RadCalendar2">
						<UpdatedControls>
							<telerik:AjaxUpdatedControl ControlID="RadCalendar1" />
							<telerik:AjaxUpdatedControl ControlID="RadScheduler1" LoadingPanelID="RadAjaxLoadingPanel1" />
						</UpdatedControls>
					</telerik:AjaxSetting>
					<telerik:AjaxSetting AjaxControlID="chkDevelopment">
						<UpdatedControls>
							<telerik:AjaxUpdatedControl ControlID="RadScheduler1" LoadingPanelID="RadAjaxLoadingPanel1" />
						</UpdatedControls>
					</telerik:AjaxSetting>
					<telerik:AjaxSetting AjaxControlID="chkMarketing">
						<UpdatedControls>
							<telerik:AjaxUpdatedControl ControlID="RadScheduler1" LoadingPanelID="RadAjaxLoadingPanel1" />
						</UpdatedControls>
					</telerik:AjaxSetting>
					<telerik:AjaxSetting AjaxControlID="chkQ1">
						<UpdatedControls>
							<telerik:AjaxUpdatedControl ControlID="RadScheduler1" LoadingPanelID="RadAjaxLoadingPanel1" />
						</UpdatedControls>
					</telerik:AjaxSetting>
					<telerik:AjaxSetting AjaxControlID="chkQ2">
						<UpdatedControls>
							<telerik:AjaxUpdatedControl ControlID="RadScheduler1" LoadingPanelID="RadAjaxLoadingPanel1" />
						</UpdatedControls>
					</telerik:AjaxSetting>
					<telerik:AjaxSetting AjaxControlID="RadScheduler1">
						<UpdatedControls>
							<telerik:AjaxUpdatedControl ControlID="RadScheduler1" LoadingPanelID="RadAjaxLoadingPanel1" />
						</UpdatedControls>
					</telerik:AjaxSetting>
				</AjaxSettings>
			</telerik:RadAjaxManager>
			<telerik:RadAjaxLoadingPanel ID="RadAjaxLoadingPanel1" runat="server" Skin="Windows7" />
			<div class="example-panel exampleContainer">
				<telerik:RadSplitter runat="server" ID="RadSplitter1" PanesBorderSize="0" Width="870px"
									 Height="552px" Skin="Windows7">
					<telerik:RadPane runat="server" ID="dummyPane" Width="0" Height="0" CssClass="RadColorPicker RadColorPicker_Default dummyPane" />
					<telerik:RadPane runat="Server" ID="leftPane" Width="230px" MinWidth="230" MaxWidth="300"
									 Scrolling="Y" OnClientResizing="hideScrollableArea" OnClientResized="showScrollableArea"
									 OnClientExpanding="hideScrollableArea" OnClientExpanded="showScrollableArea"
									 OnClientCollapsing="hideScrollableArea" OnClientCollapsed="showScrollableArea" CssClass="RadPanePos">
						<div class="calendar-title">Calendar</div>
						<div class="calendar-container">
							<telerik:RadCalendar runat="server" ID="RadCalendar1" Skin="Windows7" AutoPostBack="true"
												 EnableMultiSelect="false" DayNameFormat="FirstTwoLetters" EnableNavigation="true"
												 EnableMonthYearFastNavigation="false" OnSelectionChanged="RadCalendar1_SelectionChanged"
												 OnDefaultViewChanged="RadCalendar1_DefaultViewChanged">
							</telerik:RadCalendar>
							<telerik:RadCalendar runat="server" ID="RadCalendar2" Skin="Windows7" AutoPostBack="true"
												 EnableMultiSelect="false" DayNameFormat="FirstTwoLetters" EnableNavigation="false"
												 EnableMonthYearFastNavigation="false" OnSelectionChanged="RadCalendar2_SelectionChanged">
							</telerik:RadCalendar>
						</div>
						<telerik:RadPanelBar id="rpbMyCalendars" runat="server" width="220px" ExpandMode="MultipleExpandedItems" PersistStateInCookie="true" CookieName="xyzMyCalendarPanelBarCookie"/>
					</telerik:RadPane>
					<telerik:RadSplitBar runat="server" ID="RadSplitBar2" CollapseMode="Forward" />
					<telerik:RadPane runat="Server" ID="rightPane" Scrolling="None" Width="625px">
						<telerik:RadScheduler runat="server" ID="RadScheduler1" Skin="Windows7"
											  Height="551px" ShowFooter="false"
											  SelectedDate="2009-02-02" TimeZoneOffset="03:00:00" 
											  DayStartTime="08:00:00" DayEndTime="21:00:00"						
											  FirstDayOfWeek="Monday" LastDayOfWeek="Friday"
											  EnableDescriptionField="true"
											  AppointmentStyleMode="Default"
											  OnNavigationComplete="RadScheduler1_NavigationComplete"
											  OnAppointmentCreated="RadScheduler1_AppointmentCreated"
											  OnAppointmentDataBound="RadScheduler1_AppointmentDataBound"
											  OnAppointmentDelete="RadScheduler1_AppointmentDelete"
											  OnAppointmentUpdate="RadScheduler1_AppointmentUpdate"
											  OnAppointmentInsert="RadScheduler1_AppointmentInsert">
							<AdvancedForm Modal="true" />
							<TimelineView UserSelectable="false" />
							<ResourceStyles>
								<%--AppointmentStyleMode must be explicitly set to Default (see above) otherwise setting BackColor/BorderColor
								will switch the appointments to Simple rendering (no rounded corners and gradients)--%>
								<telerik:ResourceStyleMapping Type="Calendar" Text="Development" ApplyCssClass="rsCategoryPattern" BorderColor="#B0CC9B" />
								<telerik:ResourceStyleMapping Type="Calendar" Text="Marketing" ApplyCssClass="rsCategoryRed" />
								<telerik:ResourceStyleMapping Type="Calendar" Text="Work" BackColor="#edd5b7" BorderColor="#cdb597" />
							</ResourceStyles>
							<AppointmentTemplate>
								<div class="rsAptSubject">
								<%# Eval("Subject") %>
								</div>
							<%# Eval("Description") %>
							</AppointmentTemplate>
							<TimeSlotContextMenuSettings EnableDefault="true" />
							<AppointmentContextMenuSettings EnableDefault="true" />        
						</telerik:RadScheduler>
					</telerik:RadPane>
				</telerik:RadSplitter>
			</div>
		</form>
	</body>
</html>
